DebianDSA-5153-1:トラフィックサーバー - セキュリティ更新

high Nessus プラグイン ID 161703

概要

リモートのDebianホストにセキュリティ関連の更新プログラムがありません。

説明

リモートの Debian 10 / 11 ホストには、dsa-5153 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- Apache Traffic Server のヘッダー解析の不適切な入力検証の脆弱性のため、攻撃者がリクエストを偽装することが可能です。この問題は Apache Traffic Server 8.0.0から 8.1.2および 9.0.0から 9.1.0に影響します。
(CVE-2021-37147)

- Apache Traffic Server のヘッダー解析の不適切な入力検証の脆弱性のため、攻撃者がリクエストを偽装することが可能です。この問題は Apache Traffic Server 8.0.0から 8.1.2および 9.0.0から 9.0.1に影響します。
(CVE-2021-37148)

- Apache Traffic Server のヘッダー解析の不適切な入力検証の脆弱性のため、攻撃者がリクエストを偽装することが可能です。この問題は Apache Traffic Server 8.0.0から 8.1.2および 9.0.0から 9.1.0に影響します。
(CVE-2021-37149)

- Apache Traffic Server の TLS 生成元検証における不適切な認証の脆弱性により、中間者攻撃が可能になります。この問題は、Apache Traffic Server 8.0.0から 8.0.8に影響します。(CVE-2021-38161)

- Apache Traffic Server のリクエスト行解析の不適切な入力検証の脆弱性のため、攻撃者が無効なリクエストを送信することが可能です。この問題は Apache Traffic Server 8.0.0から 8.1.3および 9.0.0から 9.1.1に影響します。(CVE-2021-44040)

- Apache Traffic Server の TLS 生成元検証における不適切な認証の脆弱性により、攻撃者が中間者攻撃を生成することが可能になります。この問題は、Apache Traffic Server 8.0.0から 8.1.0に影響します。
(CVE-2021-44759)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

trafficserverパッケージをアップグレードしてください。

安定版 (stable) ディストリビューション (bullseye) では、これらの問題はバージョン8.1.1+ds-1.1+deb11u1 で修正されています。

関連情報

http://www.nessus.org/u?20613153

https://www.debian.org/security/2022/dsa-5153

https://security-tracker.debian.org/tracker/CVE-2021-37147

https://security-tracker.debian.org/tracker/CVE-2021-37148

https://security-tracker.debian.org/tracker/CVE-2021-37149

https://security-tracker.debian.org/tracker/CVE-2021-38161

https://security-tracker.debian.org/tracker/CVE-2021-44040

https://security-tracker.debian.org/tracker/CVE-2021-44759

https://packages.debian.org/source/buster/trafficserver

https://packages.debian.org/source/bullseye/trafficserver

プラグインの詳細

深刻度: High

ID: 161703

ファイル名: debian_DSA-5153.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/5/31

更新日: 2022/5/31

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-44759

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.1

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:trafficserver, p-cpe:/a:debian:debian_linux:trafficserver-dev, p-cpe:/a:debian:debian_linux:trafficserver-experimental-plugins, cpe:/o:debian:debian_linux:10.0, cpe:/o:debian:debian_linux:11.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/5/30

脆弱性公開日: 2021/11/3

参照情報

CVE: CVE-2021-37147, CVE-2021-37148, CVE-2021-37149, CVE-2021-38161, CVE-2021-44040, CVE-2021-44759